Question Black Screen with DevMenu on firmware 6.0

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by NSWKUFU, Oct 1, 2018.

  1. NSWKUFU
    OP

    NSWKUFU Member

    Newcomer
    1
    Jul 5, 2018
    France
    Hello Guys !

    I really need your help. I've been searching a fix for hours but I can't manage to get one.

    So I heard Layeredfs was working on firmware 6.0 with SX O.S. 2.0.
    So guess what I did ?
    Yep ! You guessed well, I updated my Switch to 6.0 and my SX O.S. to 2.0, and now what ? Each time I tried to launch DevMenu, the only thing I got was a black screen after the Nintendo logo. I can go back on the main menu with the "Home" button and I can close the app, but that's it.
    I also tried the DevMenu.nsp but it gives me the exact same result.
    I tried to launch Atmostphere to see if there will be any difference, same thing.
    I also switched Pokémon Quest for Violett Demo, after of course I patched the "main.npdm" file, but I also get a black screen.

    I don't know what to try anymore, so if some charitable soul come through here, I would be honoured to try his methods.
     
  2. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    DevMenu does not work on OFW 6.0, don't try to use it. SX OS 2.0 is also broken on OFW 6.0, i recommend that you downgrade to 1.9 for the time being
     
    Subtle Demise likes this.
  3. NSWKUFU
    OP

    NSWKUFU Member

    Newcomer
    1
    Jul 5, 2018
    France
    Are you sure about that ?

    Because on Team Xecuter website we can read the following note on SX 2.0.

     
  4. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    10
    Mar 7, 2010
    At Home :)
    Yes hes sure! devmenu does not work on cfw6.0 at the moment.
     
    NSWKUFU likes this.
  5. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    LayeredFS has nothing to do with DevMenu. DevMenu ITSELF, no matter what method you use to launch it, is incompatible with OFW 6.0
     
    NSWKUFU likes this.
  6. NSWKUFU
    OP

    NSWKUFU Member

    Newcomer
    1
    Jul 5, 2018
    France
    Thank you very much guys ! I wish I'd knew that before. :)

    Edit : Do you know any method to properly delete an installed NSP without DevMenu then ?
     
    Last edited by NSWKUFU, Oct 1, 2018
  7. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    Using Data Management removes installed content just like DevMenu only legally and through its intended purpose.
     
    NSWKUFU and a9lh-1user like this.
  8. NSWKUFU
    OP

    NSWKUFU Member

    Newcomer
    1
    Jul 5, 2018
    France
    Okay, thank you again.
     
  9. Underprivlidged

    Underprivlidged Newbie

    Newcomer
    1
    Sep 6, 2018
    United States
    Any idea if this will ever be fixed? I liked having the option.
     
    Powerful likes this.
  10. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    Tinfoil is just as good for installing .NSP however WarezNX has released a version of it that works on 6.0 but obviously it can't be shared here
     
    Underprivlidged likes this.
  11. Underprivlidged

    Underprivlidged Newbie

    Newcomer
    1
    Sep 6, 2018
    United States
    I have Tinfoil, ZeroTwoXCI, doPUS, and an old version of DevMenu all on my pc and sd card.

    Even if I use Tinfoil 90% of the time, I just like having the option. Nothing super important lol.

    Edit: wow. They posted that like 2 hours ago, no wonder I didn't see it. Good catch!
     
    Last edited by Underprivlidged, Oct 17, 2018
  12. jonyluke

    jonyluke GBAtemp Regular

    Member
    4
    Aug 22, 2018
    Spain
    Is already out for version 6.0.1?
     
  13. bundat

    bundat ¿

    Member
    4
    Jul 25, 2018
    Antarctica
    What? Devmenu release that works on 6.0??
    Did I read that right?
    I can't find it, is it in #releases?
     
  14. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    6.0 but not 6.0.1. You have to use LayeredFS like before, it's not an installable. NSP yet. And it's in #sdk-dev-leaks if i'm not mistaken
     
    bundat likes this.
  15. a9lh-1user

    a9lh-1user Newbie

    I would love to know where that should be!
    There is no working DevMenu for 6.0.0 or 6.0.1 AFAIK

    The "leaked" one was for the 6.0.0 PRE release only and not for the original 6.0.0 from Ninti.
     
  16. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    10
    Mar 7, 2010
    At Home :)
    I tried to change the devmenu nsp to layeredfs method last night to test it but it won’t let me I thought the key to the nsp was posted up on the same channel but it says the title key is wrong so you can’t extract the required files.

    The nsp that is posted will only work I presume pre firmware 6.0 if you try and install it on any other higher firmware it just errors out whatever installer you use, it did this for me.
     
    Last edited by Reecey, Oct 20, 2018
Loading...